Bug 249777 - Preference directory name belongs in theme jar file
Summary: Preference directory name belongs in theme jar file
Status: VERIFIED
Alias: None
Product: Fedora Management Console
Classification: Fedora
Component: General   
(Show other bugs)
Version: 1.1.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 240316
TreeView+ depends on / blocked
 
Reported: 2007-07-26 22:52 UTC by Nathan Kinder
Modified: 2015-01-05 00:04 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CVS Diffs (9.06 KB, patch)
2007-07-26 22:52 UTC, Nathan Kinder
no flags Details | Diff
CVS Commit Message (1.11 KB, text/plain)
2007-07-26 23:10 UTC, Nathan Kinder
no flags Details

Description Nathan Kinder 2007-07-26 22:52:05 UTC
The preference directory name is currently hardcoded in the Console.  This
directory name should be a property in the theme jar file.

The proposed fix moves the preference directory name into the theme properties
file.  I also did some cleanup related to the post and preun steps related to
the framework subpackage as well as renaming the startconsole script to
fedora-console.  This will allow multiple themes to reside on the same box
without conflicting.

Comment 1 Nathan Kinder 2007-07-26 22:52:06 UTC
Created attachment 160083 [details]
CVS Diffs

Comment 2 Nathan Kinder 2007-07-26 23:10:31 UTC
Created attachment 160084 [details]
CVS Commit Message

Checked into console (HEAD).  Thanks for the review Rich!

Comment 4 Anh Nguyen 2007-12-11 22:29:24 UTC
Changed to to_be_verified_by_dev


Note You need to log in before you can comment on or make changes to this bug.